Activities
Lists all Business' activities sent or received
Enter JWT token
Max number of items to fetch
351Activity ID
3f611e21-496b-42a8-90c5-ea3980dc8b90Profile ID
cd157309-24c4-480a-87de-77f984c5c666Individual/Business ID
cb03ecb5-b83b-4a8a-adc2-1c34dabd86f5Range initial date. Must be before or equal to To filter. yyyy-MM-dd format
2010-12-01Range final date. If From specified, this will be current time by default. yyyy-MM-dd format
2010-12-31Your credential's unique identifier key
Your timezone
Returns all Business' activities
Indicates whether next pagination is available
trueIn case of any exception/failure, status will be 4XX-500 and response payload will contain its unique code and a descriptive message
GET /business/v1/activities HTTP/1.1
Host: api.mio.id
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: text
Accept: */*
{
"has_next": true,
"data": [
{
"id": "557e4976-0b9f-4912-bc4c-91ab8afa4898",
"type": "AT_001",
"in_out_bound": "IN",
"entity": {
"id": "4e23c659-306a-46fc-8333-7699b9943475",
"name": "John Doe",
"cifcode": "0b812663-e6b2-421a-9a59-0f9579378221",
"type": "INDIVIDUAL",
"avatar": "https://cdn.mio.id/my-avatar",
"score": 650,
"scoring_level": "GOOD",
"social_media": [
{
"media": "X",
"url": "https://x.com/mioid"
}
],
"created_at": 1,
"unregistered": true
},
"status": "ACCEPTED",
"time_zone": "America/New_York",
"created_at": 1704085500000
}
]
}Activity's details, containing accepted requirements
Enter JWT token
Activity ID
484472b4-ab92-4073-be1f-b9a48676104cYour credential's unique identifier key
Your timezone
Returns activity's details, containing accepted requirements
Activity ID
ffe314b3-0c0a-4a5a-9877-e7b8c560f73fActivity type
AT_001Possible values: Activity type name
RequestIndicates if this Activity has been sent by you or you received this from another member
INPossible values: Message to deliver to your activity's receptor
I'm requesting for your phone numberActivity status
ACCEPTEDPossible values: Message to deliver to your activity's emitter
I'm sharing with you my phone numberTimezone
America/New_YorkDatetime when Activity will be CANCELED due to inactivity
1704085500000Datetime when counterpart accepted/declined this Activity
1704085290000Datetime when Activity has been set as COMPLETED
1704085319000Datetime when shared resources will stop being available
1704689999000Datetime when Activity has been created
17040852000001704085200000In case of any exception/failure, status will be 4XX-500 and response payload will contain its unique code and a descriptive message
GET /business/v1/activities/{activity} HTTP/1.1
Host: api.mio.id
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: text
Accept: */*
{
"id": "ffe314b3-0c0a-4a5a-9877-e7b8c560f73f",
"entity": {
"id": "4e23c659-306a-46fc-8333-7699b9943475",
"name": "John Doe",
"cifcode": "0b812663-e6b2-421a-9a59-0f9579378221",
"type": "INDIVIDUAL",
"avatar": "https://cdn.mio.id/my-avatar",
"score": 650,
"scoring_level": "GOOD",
"social_media": [
{
"media": "X",
"url": "https://x.com/mioid"
}
],
"created_at": 1,
"unregistered": true
},
"type": "AT_001",
"type_name": "Request",
"in_out_bound": "IN",
"requirements": [
{
"code": "RQ_002",
"items": [
{
"code": "IDT_002"
}
]
}
],
"accepted_requirements": [
{
"code": "RQ_002",
"type": "RTP_002",
"category": "RQC_001",
"data": {
"value": {}
},
"items": [
{
"code": "IDT_002",
"type": "RTP_002",
"data": {
"value": {}
}
}
]
}
],
"declined_requirements": [
{
"code": "RQ_002",
"items": [
{
"code": "IDT_002"
}
]
}
],
"description": "I'm requesting for your phone number",
"status": "ACCEPTED",
"notification_message": "I'm sharing with you my phone number",
"timeline": [
{
"status": "ACCEPTED",
"date_time": "2026-01-01T00:00:00.000Z",
"message": "I'm sharing my phone number",
"http_request_id": "0e8db85b-e344-4965-a429-df1b9cf75539"
}
],
"time_zone": "America/New_York",
"expires_in": {
"time_unit": "HOURS",
"amount": 1
},
"valid_until": 1704085500000,
"attended_at": 1704085290000,
"completed_at": 1704085319000,
"expires_at": 1704689999000,
"created_at": 1704085200000,
"updated_at": 1704085200000
}Last updated